# LibBoard::TransformFIG Struct Reference

Structure representing a scaling and translation suitable for an XFig output. More...

`#include <Transforms.h>`

Inheritance diagram for LibBoard::TransformFIG:

List of all members.

## Public Member Functions

double | rounded (double x) const
double | mapY (double y) const
int | mapWidth (double width) const
void | setBoundingBox (const Rect &rect, const double pageWidth, const double pageHeight, const double margin)
void | setDepthRange (const ShapeList &shapes)
int | mapDepth (int depth) const

## Detailed Description

Structure representing a scaling and translation suitable for an XFig output.

The TransformFIG structure.

The documentation for this struct was generated from the following files:

- include/board/Transforms.h
- src/Transforms.cpp